python lint is broken on master branch

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

python lint is broken on master branch

cloud0fan
The Jenkins job spark-master-lint keeps failing. The error message is
flake8.exceptions.FailedToLoadPlugin: Flake8 failed to load plugin "pycodestyle.break_after_binary_operator" due to 'module' object has no attribute 'break_after_binary_operator'.
flake8 checks failed.


Any ideas?
Reply | Threaded
Open this post in threaded view
|

Re: python lint is broken on master branch

Sean Owen-2
Maybe a pycodestyle or flake8 version issue?
On Wed, Oct 31, 2018 at 7:43 AM Wenchen Fan <[hidden email]> wrote:
>
> The Jenkins job spark-master-lint keeps failing. The error message is
> flake8.exceptions.FailedToLoadPlugin: Flake8 failed to load plugin "pycodestyle.break_after_binary_operator" due to 'module' object has no attribute 'break_after_binary_operator'.
> flake8 checks failed.
>
> As an example please see https://amplab.cs.berkeley.edu/jenkins/view/Spark%20QA%20Compile/job/spark-master-lint/9080/console
>
> Any ideas?

---------------------------------------------------------------------
To unsubscribe e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: python lint is broken on master branch

shane knapp
yeah, that's what it is.  thought i'd fixed that.  looking now.

On Wed, Oct 31, 2018 at 6:09 AM Sean Owen <[hidden email]> wrote:
Maybe a pycodestyle or flake8 version issue?
On Wed, Oct 31, 2018 at 7:43 AM Wenchen Fan <[hidden email]> wrote:
>
> The Jenkins job spark-master-lint keeps failing. The error message is
> flake8.exceptions.FailedToLoadPlugin: Flake8 failed to load plugin "pycodestyle.break_after_binary_operator" due to 'module' object has no attribute 'break_after_binary_operator'.
> flake8 checks failed.
>
> As an example please see https://amplab.cs.berkeley.edu/jenkins/view/Spark%20QA%20Compile/job/spark-master-lint/9080/console
>
> Any ideas?

---------------------------------------------------------------------
To unsubscribe e-mail: [hidden email]



--
Shane Knapp
UC Berkeley EECS Research / RISELab Staff Technical Lead
Reply | Threaded
Open this post in threaded view
|

Re: python lint is broken on master branch

shane knapp
flake8 was at 3.6.0 on amp-jenkins-staging-worker-01, so i downgraded to 3.5.0 and we're green:

checked the rest of the ubuntu workers and they were fine.

On Wed, Oct 31, 2018 at 7:59 AM shane knapp <[hidden email]> wrote:
yeah, that's what it is.  thought i'd fixed that.  looking now.

On Wed, Oct 31, 2018 at 6:09 AM Sean Owen <[hidden email]> wrote:
Maybe a pycodestyle or flake8 version issue?
On Wed, Oct 31, 2018 at 7:43 AM Wenchen Fan <[hidden email]> wrote:
>
> The Jenkins job spark-master-lint keeps failing. The error message is
> flake8.exceptions.FailedToLoadPlugin: Flake8 failed to load plugin "pycodestyle.break_after_binary_operator" due to 'module' object has no attribute 'break_after_binary_operator'.
> flake8 checks failed.
>
> As an example please see https://amplab.cs.berkeley.edu/jenkins/view/Spark%20QA%20Compile/job/spark-master-lint/9080/console
>
> Any ideas?

---------------------------------------------------------------------
To unsubscribe e-mail: [hidden email]



--
Shane Knapp
UC Berkeley EECS Research / RISELab Staff Technical Lead


--
Shane Knapp
UC Berkeley EECS Research / RISELab Staff Technical Lead
Reply | Threaded
Open this post in threaded view
|

Re: python lint is broken on master branch

cloud0fan
Cool! Thanks Shane!

On Wed, Oct 31, 2018 at 11:24 PM shane knapp <[hidden email]> wrote:
flake8 was at 3.6.0 on amp-jenkins-staging-worker-01, so i downgraded to 3.5.0 and we're green:

checked the rest of the ubuntu workers and they were fine.

On Wed, Oct 31, 2018 at 7:59 AM shane knapp <[hidden email]> wrote:
yeah, that's what it is.  thought i'd fixed that.  looking now.

On Wed, Oct 31, 2018 at 6:09 AM Sean Owen <[hidden email]> wrote:
Maybe a pycodestyle or flake8 version issue?
On Wed, Oct 31, 2018 at 7:43 AM Wenchen Fan <[hidden email]> wrote:
>
> The Jenkins job spark-master-lint keeps failing. The error message is
> flake8.exceptions.FailedToLoadPlugin: Flake8 failed to load plugin "pycodestyle.break_after_binary_operator" due to 'module' object has no attribute 'break_after_binary_operator'.
> flake8 checks failed.
>
> As an example please see https://amplab.cs.berkeley.edu/jenkins/view/Spark%20QA%20Compile/job/spark-master-lint/9080/console
>
> Any ideas?

---------------------------------------------------------------------
To unsubscribe e-mail: [hidden email]



--
Shane Knapp
UC Berkeley EECS Research / RISELab Staff Technical Lead


--
Shane Knapp
UC Berkeley EECS Research / RISELab Staff Technical Lead